static const uint8_t inn[8][256] = {
{0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x00,0x07,0x00,0xff,0x00,0xff,0x00,0x00,0x00,0x01,0x00,0xff,0x00,
 0xfe,0x00,0x00,0x00,0x00,0x00,0xff,0x00,0xfc,0x00,0x00,0x00,0x00,0x00,0x7f,0x00,
 0xf8,0x00,0x00,0x00,0x00,0x00,0x3f,0x00,0xf8,0x00,0x00,0x00,0x00,0x00,0x3f,0x00,
 0xf0,0x00,0x00,0x00,0x00,0x00,0x1f,0x00,0xf0,0x00,0x00,0x00,0x00,0x3e,0x1f,0x00,
 0xe0,0x00,0x00,0x00,0x00,0x7f,0x0f,0x00,0xe0,0x00,0x00,0x00,0x00,0xff,0x0f,0x80,
 0xe0,0x00,0x00,0x20,0x00,0xf7,0x0f,0x80,0xe0,0x00,0x00,0x70,0x00,0xe3,0x0f,0xc0,
 0xe0,0x08,0x00,0x20,0x00,0xf7,0x0f,0xc0,0xe0,0x08,0x00,0x00,0x00,0xff,0x0f,0xe0,
 0xe0,0x0c,0x00,0x01,0x00,0xff,0x0f,0xe0,0xf0,0x06,0x00,0x03,0x00,0xff,0x1f,0xc0,
 0xf0,0x07,0x00,0x07,0x00,0xff,0x1f,0xc0,0xf8,0x03,0x00,0xff,0x00,0xff,0x3f,0x80,
 0xf8,0x03,0x00,0xff,0x00,0xff,0x3f,0x80,0xfc,0x01,0x00,0xff,0x00,0xff,0x7f,0x00,
 0xfe,0x00,0x00,0xff,0x00,0xfe,0xff,0x00,0xff,0x00,0x00,0x3f,0x01,0xf8,0xff,0x00,
 0xff,0x00,0xc0,0x0f,0x07,0xe0,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,},
{0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x00,0x07,0x00,0xff,0x00,0xff,0x00,0x00,0x00,0x01,0x00,0xff,0x00,
 0xfe,0x00,0x00,0x00,0x00,0x00,0xff,0x00,0xfc,0x00,0x00,0x00,0x00,0xf8,0x7f,0x00,
 0xf8,0x00,0x00,0x01,0x00,0xfe,0x3f,0x00,0xf8,0x00,0x00,0x03,0x00,0xff,0x3f,0x80,
 0xf0,0x00,0x00,0x03,0x00,0xdf,0x1f,0xc0,0xf0,0x00,0x00,0x03,0x00,0x8f,0x1f,0xc0,
 0xe0,0x00,0x00,0x03,0x00,0xdf,0x0f,0xe0,0xe0,0x00,0x00,0x03,0x00,0xff,0x0f,0xe0,
 0xe0,0x00,0x00,0x01,0x00,0xff,0x0f,0xe0,0xe0,0x00,0x00,0x00,0x00,0xff,0x0f,0xe0,
 0xe0,0x00,0x00,0x00,0x00,0x7f,0x0f,0xe0,0xe0,0x00,0x00,0x10,0x00,0x7f,0x0f,0xe0,
 0xe0,0x00,0x00,0x38,0x00,0x7f,0x0f,0xe0,0xf0,0x00,0x00,0x10,0x00,0x7f,0x1f,0xc0,
 0xf0,0x00,0x00,0x00,0x00,0x7f,0x1f,0xc0,0xf8,0x00,0x00,0x00,0x00,0xff,0x3f,0x80,
 0xf8,0x00,0x00,0x01,0x00,0xff,0x3f,0x80,0xfc,0x00,0x00,0x83,0x00,0xff,0x7f,0x00,
 0xfe,0x00,0x00,0xff,0x00,0xfe,0xff,0x00,0xff,0x00,0x00,0x3f,0x01,0xf8,0xff,0x00,
 0xff,0x00,0xc0,0x0f,0x07,0xe0,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,},
{0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x00,0x07,0x60,0xff,0x00,0xff,0x00,0x00,0x01,0x01,0xf8,0xff,0x00,
 0xfe,0x00,0x00,0x07,0x00,0xfe,0xff,0x00,0xfc,0x00,0x00,0x0f,0x00,0xff,0x7f,0x00,
 0xf8,0x00,0x00,0x1f,0x00,0xff,0x3f,0x80,0xf8,0x00,0x00,0x1e,0x00,0xff,0x3f,0x80,
 0xf0,0x00,0x00,0x1c,0x00,0x7f,0x1f,0xc0,0xf0,0x00,0x00,0x1e,0x00,0xff,0x1f,0xc0,
 0xe0,0x00,0x00,0x1f,0x00,0xff,0x0f,0xe0,0xe0,0x00,0x00,0x0f,0x00,0xff,0x0f,0xe0,
 0xe0,0x00,0x00,0x07,0x00,0xff,0x0f,0xe0,0xe0,0x00,0x00,0x00,0x00,0x3f,0x0f,0xe0,
 0xe0,0x00,0x00,0x00,0x00,0x1f,0x0f,0xe0,0xe0,0x00,0x00,0x00,0x00,0x0f,0x0f,0xe0,
 0xe0,0x00,0x00,0x00,0x00,0x07,0x0f,0xe0,0xf0,0x00,0x00,0x01,0x00,0x07,0x1f,0xc0,
 0xf0,0x00,0x00,0x03,0x00,0x87,0x1f,0xc0,0xf8,0x00,0x00,0x01,0x00,0x07,0x3f,0x80,
 0xf8,0x00,0x00,0x00,0x00,0x07,0x3f,0x80,0xfc,0x00,0x00,0x00,0x00,0x0f,0x7f,0x00,
 0xfe,0x00,0x00,0x00,0x00,0x1e,0xff,0x00,0xff,0x00,0x00,0x00,0x01,0x38,0xff,0x00,
 0xff,0x00,0xc0,0x00,0x07,0xe0,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,},
{0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x0f,0x07,0xe0,0xff,0x00,0xff,0x00,0x00,0x3f,0x01,0xf8,0xff,0x00,
 0xfe,0x00,0x00,0x7f,0x00,0xfe,0xff,0x00,0xfc,0x00,0x00,0x7f,0x00,0xff,0x7f,0x00,
 0xf8,0x00,0x00,0xff,0x00,0xff,0x3f,0x80,0xf8,0x00,0x00,0xff,0x00,0xff,0x3f,0x80,
 0xf0,0x01,0x00,0xff,0x00,0xff,0x1f,0xc0,0xf0,0x01,0x00,0xef,0x00,0xff,0x1f,0xc0,
 0xe0,0x01,0x00,0xc7,0x00,0xff,0x0f,0xe0,0xe0,0x01,0x00,0xef,0x00,0xff,0x0f,0xe0,
 0xe0,0x01,0x00,0xff,0x00,0x07,0x0f,0xe0,0xe0,0x00,0x00,0xfe,0x00,0x03,0x0f,0xe0,
 0xe0,0x00,0x00,0x7c,0x00,0x01,0x0f,0xe0,0xe0,0x00,0x00,0x00,0x00,0x00,0x0f,0xe0,
 0xe0,0x00,0x00,0x00,0x00,0x20,0x0f,0xe0,0xf0,0x00,0x00,0x00,0x00,0x70,0x1f,0xc0,
 0xf0,0x00,0x00,0x00,0x00,0x20,0x1f,0xc0,0xf8,0x00,0x00,0x00,0x00,0x00,0x3f,0x80,
 0xf8,0x00,0x00,0x00,0x00,0x01,0x3f,0x80,0xfc,0x00,0x00,0x00,0x00,0x00,0x7f,0x00,
 0xfe,0x00,0x00,0x00,0x00,0x00,0xff,0x00,0xff,0x00,0x00,0x00,0x01,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x00,0x07,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,},
{0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x0f,0x07,0xe0,0xff,0x00,0xff,0x00,0x00,0x3f,0x01,0xf8,0xff,0x00,
 0xfe,0x00,0x00,0xff,0x00,0xfe,0xff,0x00,0xfc,0x01,0x00,0xff,0x00,0xff,0x7f,0x00,
 0xf8,0x03,0x00,0xff,0x00,0xff,0x3f,0x80,0xf8,0x03,0x00,0xff,0x00,0xff,0x3f,0x80,
 0xf0,0x07,0x00,0xff,0x00,0xc1,0x1f,0xc0,0xf0,0x07,0x00,0xff,0x00,0x80,0x1f,0xc0,
 0xe0,0x0f,0x00,0xff,0x00,0x00,0x0f,0x60,0xe0,0x0f,0x00,0xfe,0x00,0x00,0x0f,0x20,
 0xe0,0x07,0x00,0xde,0x00,0x08,0x0f,0x20,0xe0,0x07,0x00,0x8e,0x00,0x1c,0x0f,0x00,
 0xe0,0x03,0x00,0xde,0x00,0x08,0x0f,0x00,0xe0,0x03,0x00,0xfe,0x00,0x00,0x0f,0x00,
 0xe0,0x01,0x00,0xfc,0x00,0x00,0x0f,0x00,0xf0,0x00,0x00,0xf8,0x00,0x00,0x1f,0x00,
 0xf0,0x00,0x00,0x00,0x00,0x00,0x1f,0x00,0xf8,0x00,0x00,0x00,0x00,0x00,0x3f,0x00,
 0xf8,0x00,0x00,0x00,0x00,0x00,0x3f,0x00,0xfc,0x00,0x00,0x00,0x00,0x00,0x7f,0x00,
 0xfe,0x00,0x00,0x00,0x00,0x00,0xff,0x00,0xff,0x00,0x00,0x00,0x01,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x00,0x07,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,},
{0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x0f,0x07,0xe0,0xff,0x00,0xff,0x00,0x00,0x3f,0x01,0xf8,0xff,0x00,
 0xfe,0x00,0x00,0xff,0x00,0xfe,0xff,0x00,0xfc,0x01,0x00,0xff,0x00,0x82,0x7f,0x00,
 0xf8,0x03,0x00,0xff,0x00,0x00,0x3f,0x00,0xf8,0x03,0x00,0xfe,0x00,0x00,0x3f,0x00,
 0xf0,0x07,0x00,0xfc,0x00,0x00,0x1f,0x00,0xf0,0x07,0x00,0xfc,0x00,0x10,0x1f,0x00,
 0xe0,0x0f,0x00,0xfc,0x00,0x38,0x0f,0x00,0xe0,0x0f,0x00,0xfc,0x00,0x10,0x0f,0x00,
 0xe0,0x0f,0x00,0xfc,0x00,0x00,0x0f,0x00,0xe0,0x0f,0x00,0xfe,0x00,0x00,0x0f,0x00,
 0xe0,0x0f,0x00,0xff,0x00,0x00,0x0f,0x00,0xe0,0x0f,0x00,0xff,0x00,0x80,0x0f,0x00,
 0xe0,0x0f,0x00,0xf7,0x00,0x80,0x0f,0x00,0xf0,0x07,0x00,0xe3,0x00,0x80,0x1f,0x00,
 0xf0,0x07,0x00,0xf7,0x00,0x80,0x1f,0x00,0xf8,0x03,0x00,0xff,0x00,0x80,0x3f,0x00,
 0xf8,0x00,0x00,0xff,0x00,0x00,0x3f,0x00,0xfc,0x00,0x00,0x3e,0x00,0x00,0x7f,0x00,
 0xfe,0x00,0x00,0x00,0x00,0x00,0xff,0x00,0xff,0x00,0x00,0x00,0x01,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x00,0x07,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,},
{0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x0e,0x07,0x00,0xff,0x00,0xff,0x00,0x00,0x38,0x01,0x00,0xff,0x00,
 0xfe,0x00,0x00,0xf0,0x00,0x00,0xff,0x00,0xfc,0x01,0x00,0xe0,0x00,0x00,0x7f,0x00,
 0xf8,0x03,0x00,0xc0,0x00,0x00,0x3f,0x00,0xf8,0x03,0x00,0xc1,0x00,0x00,0x3f,0x00,
 0xf0,0x07,0x00,0xc3,0x00,0x80,0x1f,0x00,0xf0,0x07,0x00,0xc1,0x00,0x00,0x1f,0x00,
 0xe0,0x0f,0x00,0xc0,0x00,0x00,0x0f,0x00,0xe0,0x0f,0x00,0xe0,0x00,0x00,0x0f,0x00,
 0xe0,0x0f,0x00,0xf0,0x00,0x00,0x0f,0x00,0xe0,0x0f,0x00,0xf8,0x00,0x00,0x0f,0x00,
 0xe0,0x0f,0x00,0xff,0x00,0xc0,0x0f,0x00,0xe0,0x0f,0x00,0xff,0x00,0xe0,0x0f,0x00,
 0xe0,0x0f,0x00,0xff,0x00,0xf0,0x0f,0x00,0xf0,0x07,0x00,0xfe,0x00,0xf0,0x1f,0x00,
 0xf0,0x07,0x00,0xfc,0x00,0x70,0x1f,0x00,0xf8,0x03,0x00,0xfe,0x00,0xf0,0x3f,0x00,
 0xf8,0x03,0x00,0xff,0x00,0xf0,0x3f,0x00,0xfc,0x01,0x00,0xff,0x00,0xe0,0x7f,0x00,
 0xfe,0x00,0x00,0xff,0x00,0xc0,0xff,0x00,0xff,0x00,0x00,0x3f,0x01,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x0c,0x07,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,},
{0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xc0,0x00,0x07,0x00,0xff,0x00,0xff,0x00,0x00,0x00,0x01,0x00,0xff,0x00,
 0xfe,0x00,0x00,0x00,0x00,0x00,0xff,0x00,0xfc,0x00,0x00,0x00,0x00,0x00,0x7f,0x00,
 0xf8,0x03,0x00,0x00,0x00,0x00,0x3f,0x00,0xf8,0x02,0x00,0x00,0x00,0x00,0x3f,0x00,
 0xf0,0x06,0x00,0x08,0x00,0x00,0x1f,0x00,0xf0,0x06,0x00,0x1c,0x00,0x00,0x1f,0x00,
 0xe0,0x0e,0x00,0x08,0x00,0x00,0x0f,0x00,0xe0,0x0e,0x00,0x00,0x00,0x00,0x0f,0x00,
 0xe0,0x0f,0x00,0x00,0x00,0x7c,0x0f,0x00,0xe0,0x0f,0x00,0x80,0x00,0xfe,0x0f,0x00,
 0xe0,0x0f,0x00,0xc1,0x00,0xff,0x0f,0x00,0xe0,0x0f,0x00,0xff,0x00,0xef,0x0f,0x00,
 0xe0,0x0f,0x00,0xff,0x00,0xc7,0x0f,0x00,0xf0,0x07,0x00,0xff,0x00,0xef,0x1f,0x00,
 0xf0,0x07,0x00,0xff,0x00,0xff,0x1f,0x00,0xf8,0x03,0x00,0xff,0x00,0xfe,0x3f,0x00,
 0xf8,0x03,0x00,0xff,0x00,0xfe,0x3f,0x00,0xfc,0x01,0x00,0xff,0x00,0xfc,0x7f,0x00,
 0xfe,0x00,0x00,0xff,0x00,0xfc,0xff,0x00,0xff,0x00,0x00,0x3f,0x01,0xf8,0xff,0x00,
 0xff,0x00,0xc0,0x0f,0x07,0xe0,0xff,0x00,0xff,0x00,0xf0,0x00,0x1f,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,
 0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,0xff,0x00,},
};
